Page MenuHomePhabricator

MobileFrontend should display subpage breadcrumbs
Closed, ResolvedPublic

Description

Compare https://www.mediawiki.org/wiki/VisualEditor/Design and https://m.mediawiki.org/wiki/VisualEditor/Design . In the desktop view, there's a breadcrumb link back to the VisualEditor page, but in the mobile web view there isn't one. T93440: on a mobile device there's no way to get from a Flow topic page to the corresponding Flow board in Flow is similar and has the same root cause.

Event Timeline

Catrope created this task.Jun 12 2015, 1:02 AM
Catrope raised the priority of this task from to Normal.
Catrope updated the task description. (Show Details)
Catrope added subscribers: Catrope, Jdlrobson, Spage and 5 others.

Change 217763 had a related patch set uploaded (by Catrope):
Display subpage breadcrumbs in minerva

https://gerrit.wikimedia.org/r/217763

Change 217763 had a related patch set uploaded (by Catrope):
Display subpage breadcrumbs in minerva
https://gerrit.wikimedia.org/r/217763

This patch makes it look like this:

That doesn't look too terrible to me, and it's better than what @Jdlrobson hacked up in 10 seconds while explaining this stuff to me, but it probably needs some love. For one thing, you guys may not want that link to be blue.

Ping @KHammerstein ^ any issues with the above?
My only concern is the tap area. I think it probably needs some more space to avoid accidentally clicking on edit.

Jdlrobson set Security to None.

@Catrope @Jdlrobson The blue is fine. Can we move it so that it is below the title but above the rule? And more space above and below so that its tappable.

@Catrope if one of your teams wants to look at this and fix up the patch that would be great.

Jdlrobson removed KHammerstein as the assignee of this task.Jun 25 2015, 8:56 PM
Jdlrobson added a project: good first bug.
Jdlrobson updated the task description. (Show Details)

The patch also needs a rebase. @Catrope if no one is working on it maybe a volunteer could pick this up?

Florian added a subscriber: Florian.Jul 5 2015, 6:02 PM

@KHammerstein we recently moved the beta title bar thingy bingy to stable, so the actual view would look like:

Input? I think "just" a bit more space between the title and the breadcrumb is enough? :) If so, I'm happy to do this, so we can close this easy task.

Thanks @Florian! That looks great. Spacing is fine since icons are moved to the right side.

Change 217763 merged by jenkins-bot:
Display subpage breadcrumbs in minerva

https://gerrit.wikimedia.org/r/217763

Florian closed this task as Resolved.Jul 7 2015, 9:37 PM
Florian claimed this task.
Nnemo added a subscriber: Nnemo.